package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class MesinVO extends BaseMasterVO {

	private static final long serialVersionUID = -5508491816770763002L;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectMesinFk")
	private ProdukVO mesin;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectSatuanFk")
	private SatuanStandarVO satuan;

	@Caption(value = "Kapasitas")
	@Column(name = "Kapasitas", nullable = true)
	private Integer kapasitas;

	public SatuanStandarVO getSatuan() {
		return satuan;
	}

	public void setSatuan(SatuanStandarVO satuan) {
		this.satuan = satuan;
	}

	public ProdukVO getMesin() {
		return mesin;
	}

	public void setMesin(ProdukVO mesin) {
		this.mesin = mesin;
	}

	public Integer getKapasitas() {
		return kapasitas;
	}

	public void setKapasitas(Integer kapasitas) {
		this.kapasitas = kapasitas;
	}

}
